[openstack-qa] Build failed in Jenkins: periodic-tempest-devstack-postgres-vm-full #66

OpenStack Jenkins jenkins at openstack.org
Sun Jan 13 06:15:26 UTC 2013


See <https://jenkins.openstack.org/job/periodic-tempest-devstack-postgres-vm-full/66/>

------------------------------------------
[...truncated 14176 lines...]
+++ VOLUME_BACKING_FILE_SIZE=10G
+++ PRIVATE_NETWORK_NAME=private
+++ PUBLIC_NETWORK_NAME=nova
++ [[ -r /opt/stack/new/devstack/.stackenv ]]
++ source /opt/stack/new/devstack/.stackenv
+++ BASE_SQL_CONN=postgresql://root:secret@localhost
+++ ENABLED_SERVICES=g-api,g-reg,key,n-api,n-crt,n-obj,n-cpu,n-sch,horizon,rabbit,tempest,swift,cinder,c-api,c-vol,c-sch,n-cond,n-net,postgresql
+++ HOST_IP=10.4.75.157
+++ LOGFILE=/opt/stack/new/devstacklog.txt.2013-01-13-060328
+++ SERVICE_HOST=127.0.0.1
+++ SERVICE_PROTOCOL=http
+++ TLS_IP=
++ source /opt/stack/new/devstack/lib/tls
+++ is_service_enabled tls-proxy
+++ services=tls-proxy
+++ for service in '${services}'
+++ [[ ,g-api,g-reg,key,n-api,n-crt,n-obj,n-cpu,n-sch,horizon,rabbit,tempest,swift,cinder,c-api,c-vol,c-sch,n-cond,n-net,postgresql, =~ ,tls-proxy, ]]
+++ [[ tls-proxy == \n\o\v\a ]]
+++ [[ tls-proxy == \c\i\n\d\e\r ]]
+++ [[ tls-proxy == \c\e\i\l\o\m\e\t\e\r ]]
+++ [[ tls-proxy == \g\l\a\n\c\e ]]
+++ [[ tls-proxy == \q\u\a\n\t\u\m ]]
+++ return 1
+++ DEVSTACK_HOSTNAME=secure.devstack.org
+++ DEVSTACK_CERT_NAME=devstack-cert
+++ DEVSTACK_CERT=/opt/stack/data/devstack-cert.pem
+++ ROOT_CA_DIR=/opt/stack/data/CA/root-ca
+++ INT_CA_DIR=/opt/stack/data/CA/int-ca
+++ ORG_NAME=OpenStack
+++ ORG_UNIT_NAME=DevStack
+++ STUD_PROTO=--tls
+++ STUD_CIPHERS='TLSv1+HIGH:!DES:!aNULL:!eNULL:@STRENGTH'
+++ OPENSSL=/usr/bin/openssl
++ export OS_TENANT_NAME=demo
++ OS_TENANT_NAME=demo
++ export OS_USERNAME=demo
++ OS_USERNAME=demo
++ export OS_PASSWORD=secret
++ OS_PASSWORD=secret
++ export OS_NO_CACHE=True
++ OS_NO_CACHE=True
++ HOST_IP=10.4.75.157
++ SERVICE_HOST=127.0.0.1
++ SERVICE_PROTOCOL=http
++ GLANCE_HOST=10.4.75.157
++ export OS_AUTH_URL=http://127.0.0.1:5000/v2.0
++ OS_AUTH_URL=http://127.0.0.1:5000/v2.0
++ export OS_CACERT=/opt/stack/data/CA/int-ca/ca-chain.pem
++ OS_CACERT=/opt/stack/data/CA/int-ca/ca-chain.pem
++ export NOVA_VERSION=1.1
++ NOVA_VERSION=1.1
++ export COMPUTE_API_VERSION=1.1
++ COMPUTE_API_VERSION=1.1
+ is_service_enabled quantum
+ services=quantum
+ for service in '${services}'
+ [[ ,g-api,g-reg,key,n-api,n-crt,n-obj,n-cpu,n-sch,horizon,rabbit,tempest,swift,cinder,c-api,c-vol,c-sch,n-cond,n-net,postgresql, =~ ,quantum, ]]
+ [[ quantum == \n\o\v\a ]]
+ [[ quantum == \c\i\n\d\e\r ]]
+ [[ quantum == \c\e\i\l\o\m\e\t\e\r ]]
+ [[ quantum == \g\l\a\n\c\e ]]
+ [[ quantum == \q\u\a\n\t\u\m ]]
+ [[ g-api,g-reg,key,n-api,n-crt,n-obj,n-cpu,n-sch,horizon,rabbit,tempest,swift,cinder,c-api,c-vol,c-sch,n-cond,n-net,postgresql =~ q- ]]
+ return 1
+ source /opt/stack/new/devstack/exerciserc
++ export ACTIVE_TIMEOUT=60
++ ACTIVE_TIMEOUT=60
++ export ASSOCIATE_TIMEOUT=60
++ ASSOCIATE_TIMEOUT=60
++ export BOOT_TIMEOUT=90
++ BOOT_TIMEOUT=90
++ export RUNNING_TIMEOUT=150
++ RUNNING_TIMEOUT=150
++ export TERMINATE_TIMEOUT=60
++ TERMINATE_TIMEOUT=60
++ export VOLUME_TIMEOUT=30
++ VOLUME_TIMEOUT=30
++ export VOLUME_DELETE_TIMEOUT=60
++ VOLUME_DELETE_TIMEOUT=60
++ export DEFAULT_VOLUME_SIZE=1
++ DEFAULT_VOLUME_SIZE=1
+ is_service_enabled cinder
+ services=cinder
+ for service in '${services}'
+ [[ ,g-api,g-reg,key,n-api,n-crt,n-obj,n-cpu,n-sch,horizon,rabbit,tempest,swift,cinder,c-api,c-vol,c-sch,n-cond,n-net,postgresql, =~ ,cinder, ]]
+ return 0
+ DEFAULT_INSTANCE_TYPE=m1.tiny
+ DEFAULT_IMAGE_NAME=cirros-0.3.0-x86_64-uec
+ SECGROUP=vol_secgroup
+ nova list
+--------------------------------------+---------------------------------------------+--------+----------+
| ID                                   | Name                                        | Status | Networks |
+--------------------------------------+---------------------------------------------+--------+----------+
| e8accf8b-6ffa-4e7e-8404-f1c3465fde05 | Server e8accf8b-6ffa-4e7e-8404-f1c3465fde05 | ERROR  |          |
| deb5778d-cc6b-4ed9-8321-a196a75c024c | ex-float                                    | BUILD  |          |
+--------------------------------------+---------------------------------------------+--------+----------+
+ nova image-list
+--------------------------------------+---------------------------------+--------+--------+
| ID                                   | Name                            | Status | Server |
+--------------------------------------+---------------------------------+--------+--------+
| aad9a27d-8534-4883-8eee-691b077b0b9f | cirros-0.3.0-x86_64-uec         | ACTIVE |        |
| 5cc6d2cd-e5ee-451b-8175-5d124f13f222 | cirros-0.3.0-x86_64-uec-kernel  | ACTIVE |        |
| 5ac5b671-f94e-435b-9b0c-792eccca9212 | cirros-0.3.0-x86_64-uec-ramdisk | ACTIVE |        |
+--------------------------------------+---------------------------------+--------+--------+
+ glance image-list
+--------------------------------------+---------------------------------+-------------+------------------+----------+--------+
| ID                                   | Name                            | Disk Format | Container Format | Size     | Status |
+--------------------------------------+---------------------------------+-------------+------------------+----------+--------+
| aad9a27d-8534-4883-8eee-691b077b0b9f | cirros-0.3.0-x86_64-uec         | ami         | ami              | 25165824 | active |
| 5cc6d2cd-e5ee-451b-8175-5d124f13f222 | cirros-0.3.0-x86_64-uec-kernel  | aki         | aki              | 4731440  | active |
| 5ac5b671-f94e-435b-9b0c-792eccca9212 | cirros-0.3.0-x86_64-uec-ramdisk | ari         | ari              | 2254249  | active |
+--------------------------------------+---------------------------------+-------------+------------------+----------+--------+
++ glance image-list
++ egrep ' cirros-0.3.0-x86_64-uec '
++ get_field 1
++ read data
++ '[' 1 -lt 0 ']'
++ field='$2'
++ echo '| aad9a27d-8534-4883-8eee-691b077b0b9f | cirros-0.3.0-x86_64-uec         | ami         | ami              | 25165824 | active |'
++ awk '-F[ \t]*\\|[ \t]*' '{print $2}'
++ read data
+ IMAGE=aad9a27d-8534-4883-8eee-691b077b0b9f
+ nova secgroup-list
+---------------+---------------------------+
| Name          | Description               |
+---------------+---------------------------+
| default       | default                   |
| euca_secgroup | euca_secgroup description |
| test_secgroup | test_secgroup description |
+---------------+---------------------------+
+ nova secgroup-list
+ grep -q vol_secgroup
+ nova secgroup-create vol_secgroup 'vol_secgroup description'
+--------------+--------------------------+
| Name         | Description              |
+--------------+--------------------------+
| vol_secgroup | vol_secgroup description |
+--------------+--------------------------+
+ timeout 60 sh -c 'while ! nova secgroup-list | grep -q vol_secgroup; do sleep 1; done'
+ nova secgroup-list-rules vol_secgroup
+ grep -q icmp
+ nova secgroup-add-rule vol_secgroup icmp -1 -1 0.0.0.0/0
+-------------+-----------+---------+-----------+--------------+
| IP Protocol | From Port | To Port | IP Range  | Source Group |
+-------------+-----------+---------+-----------+--------------+
| icmp        | -1        | -1      | 0.0.0.0/0 |              |
+-------------+-----------+---------+-----------+--------------+
+ nova secgroup-list-rules vol_secgroup
+ grep -q ' tcp .* 22 '
+ nova secgroup-add-rule vol_secgroup tcp 22 22 0.0.0.0/0
+-------------+-----------+---------+-----------+--------------+
| IP Protocol | From Port | To Port | IP Range  | Source Group |
+-------------+-----------+---------+-----------+--------------+
| tcp         | 22        | 22      | 0.0.0.0/0 |              |
+-------------+-----------+---------+-----------+--------------+
+ nova flavor-list
+----+-----------+-----------+------+-----------+------+-------+-------------+-----------+-------------+
| ID | Name      | Memory_MB | Disk | Ephemeral | Swap | VCPUs | RXTX_Factor | Is_Public | extra_specs |
+----+-----------+-----------+------+-----------+------+-------+-------------+-----------+-------------+
| 1  | m1.tiny   | 512       | 0    | 0         |      | 1     | 1.0         | True      | {}          |
| 2  | m1.small  | 2048      | 20   | 0         |      | 1     | 1.0         | True      | {}          |
| 3  | m1.medium | 4096      | 40   | 0         |      | 2     | 1.0         | True      | {}          |
| 4  | m1.large  | 8192      | 80   | 0         |      | 4     | 1.0         | True      | {}          |
| 5  | m1.xlarge | 16384     | 160  | 0         |      | 8     | 1.0         | True      | {}          |
+----+-----------+-----------+------+-----------+------+-------+-------------+-----------+-------------+
++ nova flavor-list
++ get_field 1
++ read data
++ grep m1.tiny
++ '[' 1 -lt 0 ']'
++ field='$2'
++ echo '| 1  | m1.tiny   | 512       | 0    | 0         |      | 1     | 1.0         | True      | {}          |'
++ awk '-F[ \t]*\\|[ \t]*' '{print $2}'
++ read data
+ INSTANCE_TYPE=1
+ [[ -z 1 ]]
+ NAME=ex-vol
++ nova boot --flavor 1 --image aad9a27d-8534-4883-8eee-691b077b0b9f ex-vol --security_groups=vol_secgroup
++ get_field 2
++ read data
++ grep ' id '
++ '[' 2 -lt 0 ']'
++ field='$3'
++ echo '| id                     | fba6be5f-53fc-4634-818a-eee08bf88221 |'
++ awk '-F[ \t]*\\|[ \t]*' '{print $3}'
++ read data
+ VM_UUID=fba6be5f-53fc-4634-818a-eee08bf88221
+ die_if_not_set VM_UUID 'Failure launching ex-vol'
+ local exitcode=0
+ set +o xtrace
+ timeout 60 sh -c 'while ! nova show fba6be5f-53fc-4634-818a-eee08bf88221 | grep status | grep -q ACTIVE; do sleep 1; done'
+ echo 'server didn'\''t become active!'
server didn't become active!
+ exit 1
=====================================================================
SKIP boot_from_volume
SKIP client-env
SKIP quantum-adv-test
PASS aggregates
PASS bundle
PASS client-args
PASS horizon
PASS sec_groups
PASS swift
FAILED euca
FAILED floating_ips
FAILED volumes
=====================================================================
Process leaked file descriptors. See http://wiki.jenkins-ci.org/display/JENKINS/Spawning+processes+from+build for more information
Build step 'Execute shell' marked build as failure
[SCP] Connecting to static.openstack.org
[SCP] Trying to create /srv/static/logs/periodic/periodic-tempest-devstack-postgres-vm-full/66
[SCP] Trying to create /srv/static/logs/periodic/periodic-tempest-devstack-postgres-vm-full/66/logs
[SCP] uploading file: '/srv/static/logs/periodic/periodic-tempest-devstack-postgres-vm-full/66/logs/devstack-gate-cleanup-host.txt'
[SCP] uploading file: '/srv/static/logs/periodic/periodic-tempest-devstack-postgres-vm-full/66/logs/devstack-gate-setup-host.txt'
[SCP] uploading file: '/srv/static/logs/periodic/periodic-tempest-devstack-postgres-vm-full/66/logs/devstack-gate-setup-workspace-new.txt'
[SCP] uploading file: '/srv/static/logs/periodic/periodic-tempest-devstack-postgres-vm-full/66/logs/devstacklog.txt'
[SCP] uploading file: '/srv/static/logs/periodic/periodic-tempest-devstack-postgres-vm-full/66/logs/iptables.txt'
[SCP] uploading file: '/srv/static/logs/periodic/periodic-tempest-devstack-postgres-vm-full/66/logs/kern_log.txt'
[SCP] uploading file: '/srv/static/logs/periodic/periodic-tempest-devstack-postgres-vm-full/66/logs/localrc.txt'
[SCP] Trying to create /srv/static/logs/periodic/periodic-tempest-devstack-postgres-vm-full/66/logs/rabbitmq
[SCP] uploading file: '/srv/static/logs/periodic/periodic-tempest-devstack-postgres-vm-full/66/logs/rabbitmq/rabbit at devstack-1358050287-sasl.txt'
[SCP] uploading file: '/srv/static/logs/periodic/periodic-tempest-devstack-postgres-vm-full/66/logs/rabbitmq/rabbit at devstack-1358050287.txt'
[SCP] uploading file: '/srv/static/logs/periodic/periodic-tempest-devstack-postgres-vm-full/66/logs/rabbitmq/startup_log.txt'
[SCP] uploading file: '/srv/static/logs/periodic/periodic-tempest-devstack-postgres-vm-full/66/logs/screen-c-api.txt'
[SCP] uploading file: '/srv/static/logs/periodic/periodic-tempest-devstack-postgres-vm-full/66/logs/screen-c-sch.txt'
[SCP] uploading file: '/srv/static/logs/periodic/periodic-tempest-devstack-postgres-vm-full/66/logs/screen-c-vol.txt'
[SCP] uploading file: '/srv/static/logs/periodic/periodic-tempest-devstack-postgres-vm-full/66/logs/screen-g-api.txt'
[SCP] uploading file: '/srv/static/logs/periodic/periodic-tempest-devstack-postgres-vm-full/66/logs/screen-g-reg.txt'
[SCP] uploading file: '/srv/static/logs/periodic/periodic-tempest-devstack-postgres-vm-full/66/logs/screen-horizon.txt'
[SCP] uploading file: '/srv/static/logs/periodic/periodic-tempest-devstack-postgres-vm-full/66/logs/screen-key.txt'
[SCP] uploading file: '/srv/static/logs/periodic/periodic-tempest-devstack-postgres-vm-full/66/logs/screen-n-api.txt'
[SCP] uploading file: '/srv/static/logs/periodic/periodic-tempest-devstack-postgres-vm-full/66/logs/screen-n-cond.txt'
[SCP] uploading file: '/srv/static/logs/periodic/periodic-tempest-devstack-postgres-vm-full/66/logs/screen-n-cpu.txt'
[SCP] uploading file: '/srv/static/logs/periodic/periodic-tempest-devstack-postgres-vm-full/66/logs/screen-n-crt.txt'
[SCP] uploading file: '/srv/static/logs/periodic/periodic-tempest-devstack-postgres-vm-full/66/logs/screen-n-net.txt'
[SCP] uploading file: '/srv/static/logs/periodic/periodic-tempest-devstack-postgres-vm-full/66/logs/screen-n-obj.txt'
[SCP] uploading file: '/srv/static/logs/periodic/periodic-tempest-devstack-postgres-vm-full/66/logs/screen-n-sch.txt'
[SCP] uploading file: '/srv/static/logs/periodic/periodic-tempest-devstack-postgres-vm-full/66/logs/screen-swift.txt'
[SCP] Trying to create /srv/static/logs/periodic/periodic-tempest-devstack-postgres-vm-full/66/logs/sudoers.d
[SCP] uploading file: '/srv/static/logs/periodic/periodic-tempest-devstack-postgres-vm-full/66/logs/sudoers.d/90-cloudimg-ubuntu.txt'
[SCP] uploading file: '/srv/static/logs/periodic/periodic-tempest-devstack-postgres-vm-full/66/logs/sudoers.d/README.txt'
[SCP] uploading file: '/srv/static/logs/periodic/periodic-tempest-devstack-postgres-vm-full/66/logs/sudoers.d/cinder-rootwrap.txt'
[SCP] uploading file: '/srv/static/logs/periodic/periodic-tempest-devstack-postgres-vm-full/66/logs/sudoers.d/jenkins-sudo-grep.txt'
[SCP] uploading file: '/srv/static/logs/periodic/periodic-tempest-devstack-postgres-vm-full/66/logs/sudoers.d/nova-rootwrap.txt'
[SCP] uploading file: '/srv/static/logs/periodic/periodic-tempest-devstack-postgres-vm-full/66/logs/sudoers.txt'
[SCP] uploading file: '/srv/static/logs/periodic/periodic-tempest-devstack-postgres-vm-full/66/logs/syslog.txt'
[SCP] Connecting to static.openstack.org
[SCP] Copying console log.



More information about the openstack-qa mailing list